[Snort-devel] version numbers needed for preprocessors / libsf_engine?

Steven Sturges steve.sturges at ...402...
Tue Dec 29 15:18:38 EST 2009


Hi Markus--

Are you talking about the version number on the .so itself,
or the version/build numbers that are internal to the code?

The internal version numbers were intended to help in handling
compatibility problems, but it is best to replace both the
shared libs and Snort together.

Generally, when I build/install the .so's, the plain .so actually
gets symlink'd to a similarly named file that has a version.

-steve

Markus Lude wrote:
> Hello,
> I'm a bit unsure about this and therefore want to ask here...
> 
> When building libsf_engine and the preprocessors currently a version
> number is added to the libraries. Do one really need them or could one
> simply drop them?
> 
> Without version numbers updating snort might be a bit easier.
> 
> Regards,
> Markus
> 
> 
> ------------------------------------------------------------------------------
> This SF.Net email is sponsored by the Verizon Developer Community
> Take advantage of Verizon's best-in-class app development support
> A streamlined, 14 day to market process makes app distribution fast and easy
> Join now and get one step closer to millions of Verizon customers
> http://p.sf.net/sfu/verizon-dev2dev 
> _______________________________________________
> Snort-devel mailing list
> Snort-devel at lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/snort-devel
> 




More information about the Snort-devel mailing list